Skip to main content
Resource Center/Network Resource/L2 Network Operations
GETL2 Network OperationsSince 0.6SynchronousAuth Required

QueryVniRange

QueryVniRange

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoriesListRequired

    See inventories.

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

    • descriptionStringRequired

      The detailed description of the resource.

    • startVniIntegerRequired

      No description provided.

    • endVniIntegerRequired

      No description provided.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • l2NetworkUuidStringRequired

      The L2 network UUID.

Endpoint

GET/zstack/v1/l2-networks/vxlan-pool/vni-range

/zstack/v1/l2-networks/vxlan-pool/vni-range

Operation ID

QueryVniRange

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/l2-networks/vxlan-pool/vni-range' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "name": "Test-Range", "description": "Test", "startVni": 10.0, "endVni": 10000.0, "l2NetworkUuid": "32e0539245504a22a474ea2f34db16d0" } ] }

Change History

This API has no change history records yet.

View all change history